require 'bundler/gem_tasks'
require 'rubocop/rake_task'
require 'rake/testtask'

# Duplicate but easier human/readable output
RuboCop::RakeTask.new(:rubocop) do |t|
  t.patterns = ['lib/**/*.rb', 'test/*.rb']
  t.options = ['--display-cop-names', '--display-style-guide']
end

RuboCop::RakeTask.new(:rubocop_junit) do |t|
  t.patterns = ['lib/**/*.rb', 'test/*.rb']
  t.formatters = [['junit', '-o', 'test/reports/TEST-rubocop.xml']]
  t.options = ['--display-cop-names', '--display-style-guide']
end

Rake::TestTask.new(:test) do |t|
  t.libs << 'test'
  t.libs << 'lib'
  t.test_files = FileList['test/**/*_test.rb']
end

task default: %i[test rubocop rubocop_junit]
